%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
% Start Erlang with : erl -sname <your name> -setcookie <your cookie>

-module(test).

-export([run/0,exec/0,start/0]).


run() ->
    os:cmd("make clean"),
    io:format("Compiling IDL interface~n"),
    io:format("Producing C client code~n"),
    ic:gen('random',[{be,c_genserv}]),
    io:format("Producing Erlang server code~n"),
    ic:gen('random',[{be,erl_genserv}]),
    io:format("Compiling all new files~n"),
    io:format("**** Compiling Erlang source files ****~n"),
    make:all(),
    io:format("**** Compiling C source files ****~n"),
    OutPut = os:cmd("make"),
    io:format("~s",[OutPut]),
    io:format("Starting server~n"),
    rmod_random_impl:start().


start() ->
    rmod_random_impl:start().

exec() ->
    io:format("Running client~n"),
    OutPut = os:cmd("client"),
    io:format("~s",[OutPut]).









