%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
-module(cback_cb).
-copyright('Copyright (c) 1991-97 Ericsson Telecom AB').
-vsn('$Revision: /main/release/free/1').
-rcs('$Id: cback_cb.erl,v 1.1 1996/04/24 11:27:03 tobbe Exp $.').
-export([foo/2,bar/3]).

foo(App, Attribute) ->
    io:format("foo ~w: Attribute = ~s~n",[App,Attribute]),
    Result = 42,
    io:format("foo ~w: returning = ~w~n",[App,Result]),
    Result.

bar(App, Attribute, Key) ->
    io:format("bar ~w: Attribute = ~s , Key = ~w~n",[App,Attribute,Key]).

